/******************************************************************************
 * InviterListPopupMenu.java - The context menu on the inviter table
 * $Id: InviterListPopupMenu.java,v 1.2 2009/02/14 15:46:36 dick Exp $
 * 
 * BuckoFIBS - Backgammon by BuckoSoft
 * Copyright 2008 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: InviterListPopupMenu.java,v $
 * Revision 1.2  2009/02/14 15:46:36  dick
 * BuckoFIBS is released under the GNU license.
 *
 * Revision 1.1  2009/01/28 19:39:15  dick
 * package com.buckosoft.fibs.gui.inviterList becomes com.buckosoft.fibs.BuckoFIBS.gui.inviterList.
 *
 * Revision 1.1  2008/12/11 20:32:58  dick
 * The context menu on the inviter table.
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is BuckoFIBS, <http://www.buckosoft.com/BuckoFIBS/>.
 * The Initial Developer of the Original Code is Dick Balaska and BuckoSoft, Corp.
 * 
 */
package com.buckosoft.fibs.BuckoFIBS.gui.inviterList;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JMenuItem;
import javax.swing.JPopupMenu;

/** The context menu on the inviter table
 * @author Dick Balaska
 * @since 2008/12/11
 * @version $Revision: 1.2 $ <br> $Date: 2009/02/14 15:46:36 $
 * @see <a href="http://cvs.buckosoft.com/Projects/BuckoFIBS/BuckoFIBS/src/com/buckosoft/fibs/BuckoFIBS/gui/inviterList/InviterListPopupMenu.java">cvs InviterListPopupMenu.java</a>
 */
public class InviterListPopupMenu extends JPopupMenu implements ActionListener {
	private static final long serialVersionUID = 1L;
	private JMenuItem jMenuItemAccept = null;
	private JMenuItem jMenuItemDecline = null;

	private	ActionListener	menuHandler = null;  //  @jve:decl-index=0:

	/**
	 * This method initializes 
	 * 
	 */
	public InviterListPopupMenu() {
		super();
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 */
	private void initialize() {
        this.add(getJMenuItemAccept());
        this.add(getJMenuItemDecline());
			
	}

	public	void setMenuHandler(ActionListener c) {
		this.menuHandler = c;
	}

	/* (non-Javadoc)
	 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
	 */
	public void actionPerformed(ActionEvent e) {
		menuHandler.actionPerformed(e);
	}

	/**
	 * This method initializes jMenuItemAccept	
	 * 	
	 * @return javax.swing.JMenuItem	
	 */
	private JMenuItem getJMenuItemAccept() {
		if (jMenuItemAccept == null) {
			jMenuItemAccept = new JMenuItem();
			jMenuItemAccept.setText("Accept");
			jMenuItemAccept.addActionListener(this);
		}
		return jMenuItemAccept;
	}

	/**
	 * This method initializes jMenuItemDecline	
	 * 	
	 * @return javax.swing.JMenuItem	
	 */
	private JMenuItem getJMenuItemDecline() {
		if (jMenuItemDecline == null) {
			jMenuItemDecline = new JMenuItem();
			jMenuItemDecline.setText("Decline");
			jMenuItemDecline.addActionListener(this);
		}
		return jMenuItemDecline;
	}

}  //  @jve:decl-index=0:visual-constraint="18,7"
